Get a list of backups for a specific virtual server

View all available backups for your virtual server (VPS). This is useful if you need to restore your server to a previous state or want an overview of your saved data. You need the server ID (VMID) to retrieve the list.

VPS Services Backups

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data array<object> required · Example: [{"volid":"pbs-offsite-10g:backup/vm/10877/2026-02-10T00:00:00.000Z","vmid":"10000","si...

A list containing information about each available backup.

data[].backupType string · enum required · Example: manual
manual
scheduled
data[].content string required · Example: pbs-vm
data[].ctime integer required · Example: 1769734009
data[].files array<object> required · Example: [{"crypt-mode":"none","filename":"qemu-server.conf.blob","size":631},{"crypt-mode":"non...
data[].files[].crypt-mode string · Example: none
data[].files[].filename string required · Example: qemu-server.conf.blob
data[].files[].size integer · Example: 631
data[].format string required · Example: pbs
data[].notes string required · Example: Example note
data[].protected boolean required · Example: false
data[].scheduleId integer · nullable required · Example: 2075

Nullable: may be null when not applicable.

data[].scheduled boolean required · Example: false
data[].size integer required · Example: 214748366059
data[].storage string required · Example: pbs-offsite-10g
data[].vmid string required · Example: 10000
data[].volid string required · Example: pbs-offsite-10g:backup/vm/10877/2026-02-10T00:00:00.000Z
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/backups
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/backups" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": [
    {
      "volid": "pbs-offsite-10g:backup/vm/10877/2026-02-10T00:00:00.000Z",
      "vmid": "10000",
      "size": 214748366059,
      "ctime": 1769734009,
      "format": "pbs",
      "content": "pbs-vm",
      "storage": "pbs-offsite-10g",
      "protected": false,
      "notes": "Example note",
      "files": [
        {
          "crypt-mode": "none",
          "filename": "qemu-server.conf.blob",
          "size": 631
        },
        {
          "crypt-mode": "none",
          "filename": "fw.conf.blob",
          "size": 181
        },
        {
          "_truncated": "... and 3 more items"
        }
      ],
      "scheduled": false,
      "backupType": "manual",
      "scheduleId": null
    },
    {
      "volid": "pbs-offsite-10g:backup/vm/10877/2026-02-10T00:00:00.000Z",
      "vmid": "10000",
      "size": 214748366060,
      "ctime": 1769639737,
      "format": "pbs",
      "content": "pbs-vm",
      "storage": "pbs-offsite-10g",
      "protected": false,
      "notes": "Example note",
      "files": [
        {
          "crypt-mode": "none",
          "filename": "qemu-server.conf.blob",
          "size": 631
        },
        {
          "crypt-mode": "none",
          "filename": "fw.conf.blob",
          "size": 181
        },
        {
          "_truncated": "... and 3 more items"
        }
      ],
      "scheduled": false,
      "backupType": "manual",
      "scheduleId": null
    },
    {
      "_truncated": "... and 5 more items"
    }
  ]
}